# $Revision: 1.8 $, $Date: 2005/03/28 11:27:52 $
Summary:	Textmode web browser
Summary(pl):	Tekstowa przegldarka WWW
Name:		retawq
Version:	0.2.6b
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/retawq/%{name}-%{version}.tar.gz
# Source0-md5:	3e232dac8f8c17abf33dae4a455a694c
URL:		http://retawq.sourceforge.net/
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
retawq is an interactive, multi-threaded network client (web browser)
for text terminals on computers with Unix-like operating systems. It
is written in C, fast, small, nicely configurable, and comfortable; 
e.g. the low-level network communications are performed in a 
non-blocking way, and you can keep open as many "virtual windows" as 
you want and work simultaneously in two of them in a split-screen 
mode.

%description -l pl
retawq jest interaktywnym, wielowtkowym klientem sieciowym 
(przegldark WWW) dla tekstowych terminali na systemach 
uniksopodobnych. Jest napisany w C, szybki, may, konfigurowalny i 
komfortowy. Przykadowo: niskopoziomowa komunikacja sieciowa jest 
wykonywana w sposb nie blokujcy, moesz otworzy tyle "wirtualnych 
okien" ile zechcesz i pracowa jednoczenie z dwoma z nich w trybie
dzielenia ekranu.

%prep
%setup -q

%build
./configure \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmldflags} -I/usr/include/ncurses" \
	--path-prefix=$RPM_BUILD_ROOT%{_prefix} \
	--path-man=$RPM_BUILD_ROOT%{_mandir} \
	--enable-textmodemouse \
	--enable-i18n \
	--enable-local-cgi \
	--enable-ipv6 \
	--set-tls=2
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docu/{*.html,example*}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: retawq.spec,v $
Revision 1.8  2005/03/28 11:27:52  adamg
- updated to 0.2.6b
- pass CC

Revision 1.7  2005/02/22 20:34:21  adamg
- updated to 0.2.6a

Revision 1.6  2005/02/20 08:33:19  adamg
- updated to 0.2.6

Revision 1.5  2004/11/18 23:41:13  qboosh
- pl fix

Revision 1.4  2004/11/12 17:34:25  snurf
- removed unnecessary files from docs

Revision 1.3  2004/11/12 17:14:36  snurf
- cosmetics

Revision 1.2  2004/11/11 19:17:58  witekfl
- fix location of man page

Revision 1.1  2004/11/11 17:01:25  witekfl
- initial pld release
